> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Group Setting

> Update group settings



## OpenAPI

````yaml openapi-v2 POST /group/updateSetting/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /group/updateSetting/{instance}:
    post:
      tags:
        - Group Controller
      summary: Update Group Settings
      description: Update group settings
      operationId: updateSetting
      parameters:
        - name: instance
          in: path
          required: true
          description: 'Name of the instance '
          schema:
            type: string
        - name: groupJid
          description: Group remote JID
          required: true
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                action:
                  type: string
                  description: >-
                    Group setting (`announcement` = only admins can send
                    messages; `not_announcement` = everyone can send messages;
                    `locked` = only admins can edit group settings; `unlocked` =
                    everyone can edit group settings
                  enum:
                    - announcement
                    - not_announcement
                    - locked
                    - unlocked
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````